<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.business.mapper.FixedFlowMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="fixedFlowResultMap" type="org.springblade.business.entity.FixedFlow">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="fixed_flow_name" property="fixedFlowName"/>
    </resultMap>

    <select id="countFixedFlow" resultType="java.lang.Integer">
        select count(id) from u_fixed_flow where is_deleted = 0
    </select>

    <select id="selectFixedFlowPage" resultMap="fixedFlowResultMap">
        select * from u_fixed_flow where is_deleted = 0 order by create_time DESC limit ${current}, ${size}
    </select>

</mapper>
